﻿import {useBaseApi} from '/@/api/base';

// 客户主分类角色接口服务
export const useFBS_ExRoleApi = () => {
	const baseApi = useBaseApi("fBS_ExRole");
	return {
		// 分页查询客户主分类角色
		page: baseApi.page,
		// 查看客户主分类角色详细
		detail: baseApi.detail,
		// 新增客户主分类角色
		add: baseApi.add,
		// 更新客户主分类角色
		update: baseApi.update,
		// 设置客户主分类角色状态
		setStatus: baseApi.setStatus,
		// 删除客户主分类角色
		delete: baseApi.delete,
		// 批量删除客户主分类角色
		batchDelete: baseApi.batchDelete,
		// 导出客户主分类角色数据
		exportData: baseApi.exportData,
		// 导入客户主分类角色数据
		importData: baseApi.importData,
		// 下载客户主分类角色数据导入模板
		downloadTemplate: baseApi.downloadTemplate,
	}
}

// 客户主分类角色实体
export interface FBS_ExRole {
	// 主键Id
	id: number;
	// 名称
	name?: string;
	// 编码
	code: string;
	// 排序
	orderNo?: number;
	// 数据范围
	dataScope?: number;
	// 备注
	remark: string;
	// 状态
	status?: number;
	// 租户Id
	tenantId: number;
	// 创建时间
	createTime: string;
	// 更新时间
	updateTime: string;
	// 创建者Id
	createUserId: number;
	// 创建者姓名
	createUserName: string;
	// 修改者Id
	updateUserId: number;
	// 修改者姓名
	updateUserName: string;
}